# -*- rpm-spec -*-

%define with_introspection 0
%define with_python 0

%if 0%{?fedora} >= 15
%define with_introspection 1
%endif
%if 0%{?rhel} >= 6
%define with_introspection 1
%endif


Name: libvirt-sandbox
Version: 0.0.3
Release: 2%{?dist}%{?extra_release}
Summary: libvirt application sandbox framework
Group: Development/Tools
License: LGPLv2+
URL: http://libvirt.org/
Source0: ftp://libvirt.org/libvirt/sandbox/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libvirt-gobject-devel >= 0.0.7
%if %{with_introspection}
BuildRequires: gobject-introspection-devel
%endif
BuildRequires: glibc-static

%package libs
Group: Development/Libraries
Summary: libvirt application sandbox framework libraries
# So we get the full libvirtd daemon, not just client libs
Requires: libvirt >= 0.9.11

%package devel
Group: Development/Libraries
Summary: libvirt application sandbox framework development files
Requires: %{name}-libs = %{version}-%{release}

%description
This package provides a command for running applications within
a sandbox using libvirt.

%description libs
This package provides a framework for building application sandboxes
using libvirt.

%description devel
This package provides development header files and libraries for
the libvirt sandbox

%prep
%setup -q

%build

%if %{with_introspection}
%define introspection_arg --enable-introspection
%else
%define introspection_arg --disable-introspection
%endif

%configure %{introspection_arg}
%__make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
chmod a-x examples/*.py examples/*.pl examples/*.js
%__make install  DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/libvirt-sandbox-1.0.a
rm -f $RPM_BUILD_ROOT%{_libdir}/libvirt-sandbox-1.0.la

%clean
rm -rf $RPM_BUILD_ROOT

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_sysconfdir}/bash_completion.d/virt-sandbox-service-bash-completion.sh
%dir %{_sysconfdir}/libvirt-sandbox/services
%{_bindir}/virt-sandbox
%{_bindir}/virt-sandbox-service
%{_mandir}/man1/virt-sandbox.1*
%{_mandir}/man1/virt-sandbox-service.1*

%files libs
%defattr(-,root,root,-)
%doc README COPYING AUTHORS ChangeLog NEWS
%dir %{_sysconfdir}/libvirt-sandbox
%dir %{_sysconfdir}/libvirt-sandbox/scratch
%config %{_sysconfdir}/libvirt-sandbox/scratch/README
%{_libexecdir}/libvirt-sandbox-init-common
%{_libexecdir}/libvirt-sandbox-init-lxc
%{_libexecdir}/libvirt-sandbox-init-qemu
%{_libdir}/libvirt-sandbox-1.0.so.*
%if %{with_introspection}
%{_libdir}/girepository-1.0/LibvirtSandbox-1.0.typelib
%endif

%files devel
%defattr(-,root,root,-)
%doc examples/virt-sandbox.pl
%doc examples/virt-sandbox.py
%doc examples/virt-sandbox.js
%doc examples/virt-sandbox-mkinitrd.py
%{_libdir}/libvirt-sandbox-1.0.so
%{_libdir}/pkgconfig/libvirt-sandbox-1.0.pc
%dir %{_includedir}/libvirt-sandbox-1.0
%dir %{_includedir}/libvirt-sandbox-1.0/libvirt-sandbox
%{_includedir}/libvirt-sandbox-1.0/libvirt-sandbox/libvirt-sandbox.h
%{_includedir}/libvirt-sandbox-1.0/libvirt-sandbox/libvirt-sandbox-*.h
%if %{with_introspection}
%{_datadir}/gir-1.0/LibvirtSandbox-1.0.gir
%endif
%{_datadir}/gtk-doc/html/Libvirt-sandbox

%changelog
* Fri Apr 27 2012 Daniel P. Berrange <berrange@redhat.com> - 0.0.3-2
- Rebuild for libvirt-gobject update

* Fri Apr 13 2012 Daniel P. Berrange <berrange@redhat.com> - 0.0.3-1
- Update to 0.0.3 release

* Thu Jan 12 2012 Daniel P. Berrange <berrange@redhat.com> - 0.0.2-1
- Update to 0.0.2 release

* Wed Jan 11 2012 Daniel P. Berrange <berrange@redhat.com> - 0.0.1-1
- Initial package

